# Interface PanelResize

Interface for panel resizing: Store mouse initial position, handles of the elements to move or resize and their original width

interface PanelResize {
event: MouseEvent;
leftElement: HTMLElement;
leftWidth: number;
offsetLeft: number;
rightElement: HTMLElement;
rightWidth: number;
separator: HTMLElement;
}

- Defined in src/canvas/DesktopElement.ts:37

#####
Index

### Properties

event
leftElement
leftWidth
offsetLeft
rightElement
rightWidth
separator

## Properties

### event

event: MouseEvent

Mouse down event to store coordinates from

- Defined in src/canvas/DesktopElement.ts:41

### leftElement

leftElement: HTMLElement

Left element to resize

- Defined in src/canvas/DesktopElement.ts:53

### leftWidth

leftWidth: number

Initial width of left element

- Defined in src/canvas/DesktopElement.ts:61

### offsetLeft

offsetLeft: number

Initial mouse horizontal offset

- Defined in src/canvas/DesktopElement.ts:45

### rightElement

rightElement: HTMLElement

Right element to resize

- Defined in src/canvas/DesktopElement.ts:57

### rightWidth

rightWidth: number

Initial width of right element

- Defined in src/canvas/DesktopElement.ts:65

### separator

separator: HTMLElement

Element separating the elements to resize

- Defined in src/canvas/DesktopElement.ts:49

Generated using TypeDoc